ARES_STRERROR(3)

NAME
ares_strerror - Get the description of an ares library error code

SYNOPSIS
#include <ares.h>

const char *ares_strerror(int code, char **memptr)

DESCRIPTION
The ares_strerror function gets the description of the ares library error code code, returning the result as a NUL-terminated C string. A pointer to allocated data necessary to compose the error description may be stored in the variable pointed to by memptr. It is the caller's responsibility to invoke ares_free_errmem(3) with the value of that variable when the error description is no longer needed.

SEE ALSO
ares_free_errmem(3)

AUTHOR
Greg Hudson, MIT Information Systems
Copyright 1998 by the Massachusetts Institute of Technology.